### Method

# GUPnP Context add_server_handler

#### Declaration [src]

    void
    gupnp_context_add_server_handler (
      GUPnPContext* context,
      gboolean use_acl,
      const char* path,
      SoupServerCallback callback,
      gpointer user_data,
      GDestroyNotify destroy
    )

#### Description [src]

Add a `SoupServerCallback` to the `GUPnPContext`‘s `SoupServer`.

Available since: | 0.20.11

#### Parameters

`use_acl` | `gboolean`
| `TRUE`, if the path should query the GUPnPContext::acl before serving the resource, `FALSE` otherwise.
`path` | `const char*`
| The toplevel path for the handler.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`callback` | `SoupServerCallback`
| Callback to invoke for requests under `path`.
`user_data` | `gpointer`
| The user_data passed to `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`destroy` | `GDestroyNotify`
| A `GDestroyNotify` for `user_data` or `NULL` if none.
| The argument can be `NULL`.